updmap(1)

NAME
updmap - Update font map files for TeX output drivers.

SYNOPSIS

updmap [ OPTION ... ] [ COMMAND ... ]

DESCRIPTION

updmap is a utility that creates font configuration files for dvips(1), pdftex(1), xdvi(1), ps2pk(1), gsftopk(1), and (soon) dvipdfm(1). In an ideal world, updmap would be unnecessary -- each of these programs would read the same configuration file to learn what fonts are available and how they should be treated. As things stand, however, each of these tools has subtly different requirements and thereby needs its own font configuration file. updmap creates font configuration files for all of these programs from a single source, allowing you to easily keep all the different configuration files in sync.

updmap reads a configuration file, updmap.cfg(5) and, depending on the options specified in that file and on the command line, updmap will write generated map files to a directory of your choosing (via the --outputdir option), or automatically determine where to place the files. In the latter case, it uses the following heuristic: if VARTEXMF is set and the VARTEXMF tree contains a writable dvips/config directory, that directory is used. Otherwise updmap uses the TEXMFMAIN directory.

OPTIONS

The following command-line options are available:

--cnffile file
    Specify a configuration file.

--outputdir directory
    Specify the output directory for generated map files.

--nohash
    Do not run texhash(1).

--nomkmap
    Do not recreate existing map files.

--quiet
    Reduce verbosity.

The following commands can be substituted for COMMAND:

--edit
    Edit the updmap.cfg file.

--help
    Show a command and option summary.

--showoptions item
    Show alternatives for option item.

--setoption option value
    Set option to value, where option is one of

o   dvipsPreferOutline

o   LW35

o   dvipsDownloadBase35

o   pdftexDownloadBase14

--enable maptype mapfile
    Add or enable a Map or MixedMap.

--disable mapfile
    Disable Map or MixedMap for mapfile.

--listmaps
    List all active and inactive maps.

FILES

Configuration files:

updmap.cfg
    Main configuration file. In texmf/web2c by default, but may be located elsewhere depending on your distribution.

pdftex35.map
    Map data for basic 35 PostScript files for use with pdftex(1).

ps2pk35.map
    Map data for basic 35 PostScript files for use with ps2pk35(1).

dvips35.map
    Map data for basic 35 PostScript files for use with dvips(1).

Output files:

psfonts.map
    For dvips(1). With dvipsPreferOutline and dvipsDownloadBase35 enabled.

psfonts_pk.map
    As psfonts.map, but without information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

psfonts_t1.map
    As psfonts.map, but with information from MixedMap files. (Setting of dvipsPreferOutline ignored.)

download35.map
    As psfonts.map, but always downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

builtin35.map
    As psfonts.map, but never downloads the standard 35 fonts. (Setting of dvipsDownloadBase35 ignored.)

pdftex.map
    Font map file for pdftex(1). (Set with pdftexDownloadBase14.)

pdftex_dl14.map
    As pdftex.map, but always downloads the standard 14 fonts.

pdftex_ndl14.map
    As pdftex.map, but never downloads the standard 14 fonts.

ps2pk.map
    Similar to dvips(1) map file, but forces all fonts to be downloaded, so this map file can be used with xdvi(1) and ps2pk(1).

teTeX configuration files tuned for use with updmap:

config.builtin35
    Loads buildin35.map.

config.download35
    Loads download35.map.

config.outline
    Loads psfonts_t1.map instead of psfonts.map.

config.pdf
    Loads psfonts_t1.map instead of psfonts.map and has additional optimizations for PDF generation.

config.pk
    Loads psfonts_pk.map instead of psfonts.map.

config.www
    Loads psfonts_t1.map instead of psfonts.map. (For compatibility with previous versions of teTeX.)

config.gstopk
    Loads psfonts_t1.map.

SEE ALSO

updmap.cfg(5), dvipdfm(1), dvips(1), gsftopk(1), pdftex(1), ps2pk(1), ps2pk35(1), texhash(1), xdvi(1).

Web page: <http://tug.cs.umb.edu/tetex/>

BUGS

None known, but report any bugs found to <tetex@informatik.uni-hannover.de> (mailing list).

AUTHOR

updmap was written by Thomas Esser <te@informatik.uni-hannover.de> and is in the public domain.

This manual page was written by C.M. Connelly <cmc@debian.org>, for the Debian GNU/Linux system. It may be used by other distributions without contacting the author. Any mistakes or omissions in the manual page are my fault; inquiries about or corrections to this manual page should be directed to me (and not to the primary author).